Index: src/map/status.c
===================================================================
--- src/map/status.c (revision 22)
+++ src/map/status.c (revision 24)
@@ -5941,13 +5874,14 @@
 			}
 			break;
-
-	case SC_ATFIELD: // AT-Field [Brainstorm]
-		val2 = 100; // 100% Block chance
-		val3 = 100; // Dodge 100 attacks total.
-		val4 = tick/1000;
-		tick = 1000;
-		break;
-
-
+			
+//WHAT RELEVENCE DOES THIS HAVE AT ALL DAMNIT?!
+		case SC_ATFIELD: // AT-Field [Brainstorm]
+			val2 = 100; // 100% Block chance
+			val3 = 100; // Dodge 100 attacks total.
+			val4 = tick/1000;
+			tick = 1000;
+			break;
+			
+			
 		case SC_COMBO:
 		{
@@ -5992,24 +5926,24 @@
 			break;
 		case SC_BLESSING:
-			if (status->race!=RC_UNDEAD && status->race!=RC_DEMON)
+			if ((!undead_flag && status->race!=RC_DEMON) || bl->type == BL_PC)
 				val2 = val1;
 			else
 				val2 = 0; //0 -> Half stat.
 			break;
-	case SC_REQUIEM: //Necro Requiem and Dark Moon [Brain]
-	case SC_DARKMOON:
-		if (undead_flag || status->race==RC_UNDEAD || status->race==RC_DEMON)
-		val2 = val1; //Demon and Undead get buffed
-		else if(status->race==RC_FORMLESS || status->def_ele==ELE_GHOST || bl->type == BL_PC)
-		{
-		val1 = 0; //No status change for Formless and Ghosts, and non-undead players
-		tick = 0; //Cancel status to not show requiem icon without a reason
-		}
-		else
-		val3 = val1; //Everything else (living) get negative status (requiem only)
-		break;
-	case SC_DECREPIFY: //Necro Decrepify [Brain]
-		val2 = val1;
-	break;
+		case SC_REQUIEM: //Necro Requiem and Dark Moon [Brain]
+		case SC_DARKMOON:
+			if (undead_flag || status->race==RC_UNDEAD || status->race==RC_DEMON)
+				val2 = val1; //Demon and Undead get buffed
+			else if(status->race==RC_FORMLESS || status->def_ele==ELE_GHOST || bl->type == BL_PC)
+			{
+				val1 = 0; //No status change for Formless and Ghosts, and non-undead players
+				tick = 0; //Cancel status to not show requiem icon without a reason
+			}
+			else
+				val3 = val1; //Everything else (living) get negative status (requiem only)
+			break;
+		case SC_DECREPIFY: //Necro Decrepify [Brain]
+			val2 = val1;
+		break;
 
 		case SC_TRICKDEAD:
@@ -6053,14 +5987,13 @@
 			val2 = 5*val1; //watk increase
 			break;
-	case SC_CURSEWEAKNESS: // Warlock Curse of Weakness [Brain]
-		val2 = 5*val1; //batk/watk decrease
-		break;
-	case SC_CURSEEXHAUST: // Warlock Curse of Exhaustion [Brain]
-		val2 = 2*val1; //def/mdef decrease
-		break;
-	case SC_CURSETONGUES: // Warlock Curse of Tongues [Brain]
-		val2 = 10*val1; //casttime increase
-		break;
-
+		case SC_CURSEWEAKNESS: // Warlock Curse of Weakness [Brain]
+			val2 = 5*val1; //batk/watk decrease
+			break;
+		case SC_CURSEEXHAUST: // Warlock Curse of Exhaustion [Brain]
+			val2 = 2*val1; //def/mdef decrease
+			break;
+		case SC_CURSETONGUES: // Warlock Curse of Tongues [Brain]
+			val2 = 10*val1; //casttime increase
+			break;
 		case SC_MELTDOWN:
 			val2 = 100*val1; //Chance to break weapon
@@ -6119,16 +6052,15 @@
 			break;
 		case SC_LUST: // Adept Blood Lust [Brain]
-		val2 = 5+3*val1; //Aspd/bAtk/wAtk change
-		val3 = tick>0?tick:1000; //Interval at which HP is drained.
-		break;
-	case SC_DEATHPACT: // Necro Death Pact [Brain]
-		val2 = 5*val1; //Neutral property resistance
-		val3 = tick>0?tick:10000; //Interval at which HP is drained.
-		break;
-	case SC_OVERWHELMING: // Warlock Overwhelming Evil [Brain]
-		val2 = 2*val1; //matk bonus
-		val3 = tick>0?tick:1000; //Interval at which SP is drained.
-		break;
-
+			val2 = 5+3*val1; //Aspd/bAtk/wAtk change
+			val3 = tick>0?tick:1000; //Interval at which HP is drained.
+			break;
+		case SC_DEATHPACT: // Necro Death Pact [Brain]
+			val2 = 5*val1; //Neutral property resistance
+			val3 = tick>0?tick:10000; //Interval at which HP is drained.
+			break;
+		case SC_OVERWHELMING: // Warlock Overwhelming Evil [Brain]
+			val2 = 2*val1; //matk bonus
+			val3 = tick>0?tick:1000; //Interval at which SP is drained.
+			break;
 		case SC_MINDBREAKER:
 			val2 = 20*val1; //matk increase.
@@ -6314,10 +6246,7 @@
 				unit_skillcastcancel(bl, 0);
 		break;
-
-	case SC_FEAR: //Fear Status by [Brainstorm]
-		unit_stop_attack(bl);
-	break;
-
-
+		case SC_FEAR: //Fear Status by [Brainstorm]
+			unit_stop_attack(bl);
+		break;
 	}
 
@@ -6765,7 +6694,7 @@
 			}
 			break;
-	case SC_SPLASHER:
-	case SC_DOOM: // Warlock Curse of Doom [Brain]
-	
+		case SC_SPLASHER:
+//Why is Doom here?
+		case SC_DOOM: // Warlock Curse of Doom [Brain]	
 			{
 				struct block_list *src=map_id2bl(sce->val3);
@@ -7135,21 +7064,19 @@
 		sc_timer_next(sce->val2+tick, status_change_timer, bl->id, data);
 		return 0;
-
 	case SC_LUST:	// Adept Blood Lust [Brain]
-	if(!status_charge(bl, status->max_hp/100, 0))
-		break; //Not enough HP to continue.
-	sc_timer_next(sce->val3+tick, status_change_timer, bl->id, data);
-	return 0;
+		if(!status_charge(bl, status->max_hp/100, 0))
+			break; //Not enough HP to continue.
+		sc_timer_next(sce->val3+tick, status_change_timer, bl->id, data);
+		return 0;
 	case SC_DEATHPACT:	// Necro Death Pact [Brain]
-	 // Drains 1 HP every second (status wont kill, but dying will cancel it)
-	status_charge(bl, 1, 0);
-	sc_timer_next(sce->val3+tick, status_change_timer, bl->id, data);
-	return 0;
+		 // Drains 1 HP every second (status wont kill, but dying will cancel it)
+		status_charge(bl, 1, 0);
+		sc_timer_next(sce->val3+tick, status_change_timer, bl->id, data);
+		return 0;
 	case SC_OVERWHELMING:	// Warlock Overwhelming Evil [Brain]
-	if(!status_charge(bl, 0, status->max_sp/100))
-		break; //Not enough SP to continue.
-	sc_timer_next(sce->val3+tick, status_change_timer, bl->id, data);
-	return 0;
-
+		if(!status_charge(bl, 0, status->max_sp/100))
+			break; //Not enough SP to continue.
+		sc_timer_next(sce->val3+tick, status_change_timer, bl->id, data);
+		return 0; 
 
 	case SC_CHASEWALK:
@@ -7387,9 +7314,9 @@
 		break;
 	case SC_DOOM: // Warlock Curse of Doom [Brain]
-	if((sce->val4 -= 500) > 0) {
-		sc_timer_next(500 + tick, status_change_timer, bl->id, data);
-		return 0;
-	}
-	break;
+		if((sce->val4 -= 500) > 0) {
+			sc_timer_next(500 + tick, status_change_timer, bl->id, data);
+			return 0;
+		}
+		break;
 
 	case SC_MARIONETTE:
@@ -7560,5 +7487,4 @@
 			case SC_MATKFOOD:
 			case SC_DOOM: // Warlock Curse of Doom [Brain]
-
 				continue;
 				
Index: src/map/skill.h
===================================================================
--- src/map/skill.h (revision 22)
+++ src/map/skill.h (revision 24)
@@ -320,7 +320,4 @@
 
 int skill_arrow_create( struct map_session_data *sd,int nameid);
-
-int skill_additem(struct block_list* src, struct block_list *bl, int itemid, int amount); // Item giver func [Brain]
-
 
 // mobXLÌœß
@@ -959,4 +956,13 @@
 
 	ALL_INCCARRY = 681,
+	
+//most skills are irrelevant, will block comment them out.
+/*+	GM_SANDMAN = 688,
++	CASH_BLESSING,
++	CASH_INCAGI,
++	CASH_ASSUMPTIO,
++	ALL_CATCRY,*/
+//Up there is irrelevant.
+ 
 	AD_PWBLIND = 700,	// Custom Skills [Brainstorm]
 	AD_PWFEAR,
@@ -987,8 +993,8 @@
 	NC_DRAINLIFE,
 	NC_DEATHPACT,
-
+//Still no idea why that is there.
 	ALL_ATFIELD, //GM SKILL
 
-	WL_CURSETONGUES, //732
+	WL_CURSETONGUES =732, //732
 	WL_CURSEDOOM,
 	WL_CURSEEXHAUST,
@@ -1009,4 +1015,17 @@
 	WL_CORRUPTION, //749
 
+//Irrelevant
+/*+	TD_FISHING = 750,
++	TD_MINING,
++	TD_HERBALISM,
++	TD_LEATHERWORK,
++	TD_TAILORING,
++	TD_BLACKSMITHING,
++	TD_SCRIBESCROLLA,
++	TD_SCRIBESCROLLB,
++	TD_SCRIBESCROLLC,
++	TD_SHIELD,
++	TD_WOODCUTTING,*/
+// STOP! Cant use 800 (homun skills) NOR 900 (guild skills)
 
 	KN_CHARGEATK = 1001,
Index: src/map/status.h
===================================================================
--- src/map/status.h (revision 22)
+++ src/map/status.h (revision 24)
@@ -294,4 +294,6 @@
 	SC_SEVENWIND,
 	SC_DEF_RATE,
+	SC_SPREGEN,
+	SC_WALKSPEED,
 	SC_DECREPIFY, // New status [brain]
 	SC_LUST,
@@ -310,6 +312,4 @@
 	SC_OVERWHELMING,
 	SC_FEAR,
-	SC_SPREGEN,
-	SC_WALKSPEED,
 	SC_MAX, //Automatically updated max, used in for's to check we are within bounds.
 } sc_type;
@@ -823,5 +823,4 @@
 void status_calc_regen_rate(struct block_list *bl, struct regen_data *regen, struct status_change *sc);
 
-void status_freecast_switch(struct map_session_data *sd);
 int status_getrefinebonus(int lv,int type);
 int status_check_skilluse(struct block_list *src, struct block_list *target, int skill_num, int flag); // [Skotlex]
